[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#620838: dh-ocaml: dh_ocaml doesn't depend on -dev packages even when runtime package requires it

Le 04/04/2011 17:16, Sylvain Le Gall a écrit :
It should be related to the fact that they don't ship runtime packages
(pure ocaml packages). However, the runtime package of liboasis-ocaml
contains *.cma libraries that really need the libraries provided by
libocamlgraph-ocaml-dev and libfileutils-ocaml-dev.

I think this is by design. If *.cma are needed at runtime, they should be moved to runtime packages (and matching *.cmxs should be also built when appropriate).



Reply to: